[Bug 249033] [NEW] Please sync gimmie 0.2.8-1 (universe) from Debian unstable (main)

Launchpad Bug Tracker 249033 at bugs.launchpad.net
Wed Jul 16 15:05:17 BST 2008


You have been subscribed to a public bug by Julian Andres Klode (juliank):

Binary package hint: gimmie

Please sync aufs 0+20080129-1 (universe) from Debian unstable (main).

Explanation of the Ubuntu delta and why it can be dropped:

* Changes have been merged in Debian

Changelog:
   * New upstream release (Closes: #448976):
     - Many code cleanups and bugs fixed (Closes: #439199)
     - Hide experimental categories and features
     - Build known-good libgmenu bindings
   * Acknowledge NMU (Closes: #435164, #435189, #435196)
   * debian/patches/fixes: Bugfixes
     - disable-bugbuddy.diff: Disable the bug buddy (NMU patch)
     - fdo-powermanagement.diff: Use org.freedesktop.PowerManagement instead of
       org.gnome.PowerManager (Closes: #455599)
     - from-upstream.diff: Add post-0.2.8 patches from gimmie-0.2 branch
     - gnome-app-install-no-sudo.diff: It does not need sudo.
     - remove-shebang.diff: Remove shebang line from modules.
   * debian/patches/extensions:
     - disable-external.diff: Disable extensions which are packaged.
     - replace-gdmclient.diff: Use gnome-panel-logout instead of gdmclient.
       => Disabled at the moment
     - replace-iconentry.diff: Use sexy.IconEntry instead of custom extension.
   * debian/patches/others:
     - ltmain-as-needed.diff: Copied from nautilus for -Wl,--as-needed
     - python-path.diff: Prepend /usr/{share,lib}/gimmie/ to PYTHONPATH.
   * debian/control:
     - Update Standards-Version to 3.8.0
     - New Maintainer (Closes: #460620), package is in collab-maint
     - Add Dm-Upload-Allowed, Homepage, VCS-Git and VCS-Browser fields
     - Depend on python-sexy, python-gmenu
     - Build-Depend on debhelper (>= 5.0.51~), needed for dh_icons
     - Build-Depend on quilt
   * debian/rules:
     - Build the package for all supported Python versions
     - Call dh_icons
   * debian/copyright:
     - Use the new format, see http://wiki.debian.org/Proposals/CopyrightFormat
   * debian/README.source: Add file recommended in Policy 3.8.0
   * Merge with Ubuntu:
     - debian/control, debian/rules: use python-central, gimmie crashes with
       python-support.
     - debian/rules: add --disable-schemas-install.
   * debian/gimmie.1: Add manual page
   * debian/menu: Use section Applications/Data Management instead of
     Apps/Tools
   * debian/watch: Add watch file


I have adopted gimmie in Debian using the following process:
  1) Take gimmie from Debian
  2) Merge changes from Ubuntu
  3) Fix Bugs

The package is very different in some areas:
  1) Instead of building gmenu and sexy, the packaged versions are used
  2) Instead of building & using iconentry, the package uses sexy.IconEntry
  3) The modules & extensions are private.
  4) gnome-app-install is called without gksudo, as this is not needed.

** Affects: gimmie (Ubuntu)
     Importance: Undecided
         Status: New

-- 
Please sync gimmie 0.2.8-1 (universe) from Debian unstable (main)
https://bugs.edge.launchpad.net/bugs/249033
You received this bug notification because you are a member of Ubuntu Sponsors for universe, which is a direct subscriber.



More information about the Ubuntu-universe-sponsors mailing list